
QGIS Application - Bug report #19428

QGis freezes when copy pasting features between layers with incompatible geometry types 

(postgis)

2018-07-17 07:55 AM - Uros Bernik

Status: Closed

Priority: Normal

Assignee:

Category: Geometry

Affected QGIS version:3.2 Regression?: No

Operating System: Linux Mint 19.0 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27256

Description

2 postgis layers, with same attribute schema but different geometry types (multilinestring -> linestring, or linestringz -> linestring or point ->

linestring). Enter edit mode, select some features from first layer, press copy, select destination layer, press paste -> freeze. I would

expect a warning of incompatible geometry types or some other generic warning. Also, even after killed qgis somehow persists in the

background.

History

#1 - 2018-09-17 04:50 PM - Loïc BARTOLETTI

I can't reproduce it on master. Can you retry or post a reproductible example?

#2 - 2018-09-17 07:42 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
